Skip to main content
POST
/
policies
/
{policyId}
/
quote
Quote the policy
curl --request POST \
  --url https://api.example.com/policies/{policyId}/quote \
  --header 'Content-Type: application/json' \
  --data '
{
  "options": [
    {
      "tier": "<string>",
      "excess": "<string>",
      "assetId": "<string>",
      "perils": [
        {
          "id": "<string>",
          "option": "<string>",
          "available": true,
          "unavailabilityMessage": "<string>"
        }
      ]
    }
  ],
  "skipValidation": true
}
'
import requests

url = "https://api.example.com/policies/{policyId}/quote"

payload = {
"options": [
{
"tier": "<string>",
"excess": "<string>",
"assetId": "<string>",
"perils": [
{
"id": "<string>",
"option": "<string>",
"available": True,
"unavailabilityMessage": "<string>"
}
]
}
],
"skipValidation": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
options: [
{
tier: '<string>',
excess: '<string>',
assetId: '<string>',
perils: [
{
id: '<string>',
option: '<string>',
available: true,
unavailabilityMessage: '<string>'
}
]
}
],
skipValidation: true
})
};

fetch('https://api.example.com/policies/{policyId}/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Path Parameters

policyId
string
required

the policy's id

Query Parameters

whenAt
string

Optional: the whenAt datetime

branchId
string
required

the branchId

Body

application/json
options
object[]
additionalQuoteComponentsAndPercentages
object

Additional quote components and percentages

skipValidation
boolean

Debug: force a quote to happen even if there are no changes to quote

Response

The response is of type object.